Results 1 to 3 of 3

Thread: Canonip4700 Printer dependencies

  1. #1
    Join Date
    May 2008
    Beans
    33

    Canonip4700 Printer dependencies

    As per previuos releases, the upgrade to 11.10 took out my printer. I followed the same steps as last time to force a -386 driver on my 64-bit system. However, this time the fix does not work.
    The dependency package it requires (libpopt0:386) wipes out the native 64-bit libpopt0 package and I am able to print. However, other apps like Samba fail. I'm told to use NFS rather than Samba but what other things will libpopt0:386 affect? Surely after all this time, Ubuntu should be able to work with mainline printers. Is there another work-around that I am missing besides booting into Windows just to print?
    Canon ip4700

  2. #2
    Join Date
    Sep 2011
    Beans
    1

    Post Re: Canonip4700 Printer dependencies

    Quote Originally Posted by notquitestr8t View Post
    As per previuos releases, the upgrade to 11.10 took out my printer. I followed the same steps as last time to force a -386 driver on my 64-bit system. However, this time the fix does not work.
    The dependency package it requires (libpopt0:386) wipes out the native 64-bit libpopt0 package and I am able to print. However, other apps like Samba fail. I'm told to use NFS rather than Samba but what other things will libpopt0:386 affect? Surely after all this time, Ubuntu should be able to work with mainline printers. Is there another work-around that I am missing besides booting into Windows just to print?
    Canon ip4700
    No problem I bet this will work , 64 bit system ?! forget about it now

    run the following commands one at a time :

    sudo add-apt-repository ppa:michael-gruz/canon

    sudo apt-get update

    apt-get install cnijfilter-ip4700series

    when you are done restart your printer and when configuration finish you shouldn't see filter problem .
    Now play with your printer as much as you can!

    if you are curious check this out :
    https://launchpad.net/~michael-gruz/+archive/canon



    Last edited by eldkey2012; October 26th, 2011 at 12:03 AM.

  3. #3
    Join Date
    May 2008
    Beans
    33

    Smile Re: Canonip4700 Printer dependencies

    Thank you VERY much. After all the messing around I did, losing Samba, etc, you come along with a fix so simple to implement. Thank you!!!!!!

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •